module "databases" {
  source = "./databases"
}

module "blocky" {
  source = "./blocky"

  base_hostname = var.base_hostname
  depends_on    = [module.databases]
}

module "traefik" {
  source = "./traefik"

  consul_address = var.consul_address
  base_hostname  = var.base_hostname
}

module "metrics" {
  source = "./metrics"

  consul_address = var.consul_address
}
